<?php
require_once 'core/system.php';
echo reg();
$header = 'Регистрация';
require_once 'core/head.php';
/*
header('Location: /');
$_SESSION['err'] = 'Регистрация временно приостановлена';
exit();
*/
if(isset($_GET['invite'])){
$inv = mysql_fetch_assoc(mysql_query("SELECT id,nick ,storona from `user` where `id` = '$get_invite_id'"));
if(!empty($inv['id'])){
echo '<center>Вы регистрируйтесь по приглашению игрока <b>'.$inv['nick'].'</b>!</center>';
}

}
switch($act) {
case 'post':
if(isset($_POST['nick']) && isset($_POST['pass']) && isset($_POST['pass2']) && isset($_POST['storona']) && isset($_POST['code']) && isset($_POST['pol'])) {
$nick = check($_POST['nick']);
$pass = check($_POST['pass']);
$pass2 = check($_POST['pass2']);
$pol = num($_POST['pol']);
$storona = num($_POST['storona']);
$code = check($_POST['code']);
/*
Не рекомендуется хранить пароли в базе в открытом виде. Их нужно шифровать. Для этого достаточно функции md5()
*/

if(mb_strlen($nick) < 3 or mb_strlen($nick) > 20) $err =  'Длина ника должна быть в пределах 3 - 20 символов';
if(mb_strlen($pass) < 6 or mb_strlen($pass) > 30) $err = 'Длина пароля должна быть в пределах 6 - 20 символов';
if(mb_strlen($pass) != mb_strlen($pass2)&$pass != $pass2) $err =  'Пароли не совпадают!';

/* Проверка проверочного кода */
	if(@$_SESSION['code'] != $code)
	{
echo '<div class="block_zero center"><font color="red">Проверочный код введен не верно!</font><br/>
<div class="separ"></div><a href="registration">Назад</a></div></div><div class="line"></div>';
require_once 'core/foot.php';
exit;
	}
/* 	if (!preg_match('|^[A-ZА-Яa-zа-я\-]+$|i',$nick))
 	{
		echo '<div class="block_zero center"><font color="red">Ник должен состоять только из английских или только из русских букв  и не должен содержать цифры!
</font><br/><div class="separ"></div><a href="registration">Назад</a></div></div><div class="line"></div>	';	
	require_once 'core/foot.php';
        exit;
	}
*/
/*
Проверяем длину ника и пароля с помощью функции strlen(). Она считает количество символов в том числе пробелы. 
*/
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `nick` = '$nick'"),0) == true) $err = 'Пользователь с таким ником уже существует, выберите другой';
/*
С помощью запроса в базу проверяем есть ли уже такой ник или нет. 
Запрос может вернуть 2 значения
<strong> FALSE</strong> - отрицательный
*/
// запись
if(!isset($err)) {
/*
Проверяем есть ли ошибки при обработке. Если есть, пропускаем запись и выводим ошибку
*/
// генерируем уникальный id
$random_val1 = mt_rand(1000, 999999);
$unique = base_convert($random_val1, 10, 11);
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `id` = '$unique'"),0) == true) {
$random_val2 = mt_rand(1000, 999999);
$unique1 = base_convert($random_val2, 10, 11);
}
if(mysql_result(mysql_query("SELECT COUNT(*)  FROM `user` WHERE `id` = '$unique1'"),0) == true) {
$random_val3 = mt_rand(1000, 999999);
$unique2 = base_convert($random_val3, 10, 11);
}
if (!isset($unique2) && !isset($unique1)){
$ready_id = $unique;
}elseif (isset($unique1)){
$ready_id = $unique1;
}Elseif(isset($unique2)){
$ready_id = $unique2;
}

mysql_query("INSERT INTO `user` SET `id` = '$ready_id', `nick` = '$nick', `pass` = '$pass', `pol` = '$pol', `storona` = '$storona', `timereg` = '".time()."', `mana` = 1050, `max_mana` = 1050, `health` = 80, `max_health` = 80, `gold` = 100000, `sila` = 80, `lovk` = 80, `zashit` = 80");
if(!empty($inv['id'])){
mysql_query("INSERT INTO `ref` set `nak` = '".$inv['id']."', `id_us` = '".mysql_insert_id()."'");
}
// Ставим куки на год
setcookie('nick', $nick, time()+86400*365, '/');
setcookie('pass', $pass, time()+86400*365, '/');
header('Location: /');
$_SESSION['message'] = 'Вы успешно зарегистрировались!<br>Добро пожаловать в игру!';
exit();
}else{
header('Location: /registration');
$_SESSION['err'] = $err;
// Вывод ошибки 
exit();
} 
}else{
header('Location: /registration');
$_SESSION['err'] = 'Введите данные';
exit();
}
break;
default:
echo "<div class='player center blue'>Зарегистрируйся сейчас и получи подарок на выбор!</div>";
echo "<div class='mini-line'></div>";
echo '<form class="player" method="post" action="/registration?act=post'.(!empty($inv['id'])?'&inv='.$inv['id']:null).'">
Введи желаемый ник: <br /><input class="text large" type="text" name="nick" /><br />
Введи пароль: <br /><input class="text large" type="password" name="pass" /><br />
Подтверди пароль: <br /><input class="text large" type="password" name="pass2" /><br />
Фракция:<br />
<select name="storona">
<option value="0">Римляни</option>
<option value="1">Галлы</option>
</select><br />
Твой пол: <br />
<select name="pol">
<option value="1">Мужской</option>
<option value="0">Женский</option>
</select><br />';
?>
<img src="captcha" onclick="this.src = 'captcha'"/><br/>введите большие цифры<br/><small>если вы не видите код, кликните по картинке</small>
<?php
echo'
<input class="text" name="code" type="text" value="" /><br /></br>
<p><center><span class="btn"><span class="end"><input class="label" type="submit" value="Начать игру">Начать игру</span></span></center>
</form>';
} 
require_once 'core/foot.php';
?>